Skip to main content

threatModelArtifacts

Returns threat model artifacts by company

threatModelArtifacts(
companyId: ID!
pagination: BasePaginationInput! = [object Object]
search: String
assigneeEmail: String
hasVersion: Boolean
): ThreatModelArtifactCollection!

Arguments​

threatModelArtifacts.companyId ● ID! non-null scalar​

threatModelArtifacts.pagination ● BasePaginationInput! non-null input​

threatModelArtifacts.assigneeEmail ● String scalar​

threatModelArtifacts.hasVersion ● Boolean scalar​

Type​

ThreatModelArtifactCollection object​

ThreatModelArtifactCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetThreatModelArtifacts($companyId: ID!) {\n threatModelArtifacts(companyId: $companyId) { collection { id label assignee { __typename } } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute